Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5117)
@@ -7,5 +7,5 @@
         character*80 :: fich_cas
 ! Discr?tisation
-        integer nlev_cas, nt_cas
+        INTEGER nlev_cas, nt_cas
 
 
@@ -31,54 +31,54 @@
 
 !profils environnementaux
-        real, allocatable::  plev_cas(:,:)
-
-        real, allocatable::  z_cas(:,:)
-        real, allocatable::  t_cas(:,:),q_cas(:,:),rh_cas(:,:)
-        real, allocatable::  th_cas(:,:),rv_cas(:,:)
-        real, allocatable::  u_cas(:,:)
-        real, allocatable::  v_cas(:,:)
+        REAL, ALLOCATABLE::  plev_cas(:,:)
+
+        REAL, ALLOCATABLE::  z_cas(:,:)
+        REAL, ALLOCATABLE::  t_cas(:,:),q_cas(:,:),rh_cas(:,:)
+        REAL, ALLOCATABLE::  th_cas(:,:),rv_cas(:,:)
+        REAL, ALLOCATABLE::  u_cas(:,:)
+        REAL, ALLOCATABLE::  v_cas(:,:)
 
 !forcing
-        real, allocatable::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
-        real, allocatable::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
-        real, allocatable::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
-        real, allocatable::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
-        real, allocatable::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
-        real, allocatable::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
-        real, allocatable::  vitw_cas(:,:)
-        real, allocatable::  ug_cas(:,:),vg_cas(:,:)
-        real, allocatable::  lat_cas(:),sens_cas(:),ts_cas(:),ustar_cas(:)
-        real, allocatable::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:)
+        REAL, ALLOCATABLE::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
+        REAL, ALLOCATABLE::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
+        REAL, ALLOCATABLE::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
+        REAL, ALLOCATABLE::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
+        REAL, ALLOCATABLE::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
+        REAL, ALLOCATABLE::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
+        REAL, ALLOCATABLE::  vitw_cas(:,:)
+        REAL, ALLOCATABLE::  ug_cas(:,:),vg_cas(:,:)
+        REAL, ALLOCATABLE::  lat_cas(:),sens_cas(:),ts_cas(:),ustar_cas(:)
+        REAL, ALLOCATABLE::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:)
 
 !champs interpoles
-        real, allocatable::  plev_prof_cas(:)
-        real, allocatable::  t_prof_cas(:)
-        real, allocatable::  q_prof_cas(:)
-        real, allocatable::  u_prof_cas(:)
-        real, allocatable::  v_prof_cas(:)
-
-        real, allocatable::  vitw_prof_cas(:)
-        real, allocatable::  ug_prof_cas(:)
-        real, allocatable::  vg_prof_cas(:)
-        real, allocatable::  ht_prof_cas(:)
-        real, allocatable::  hq_prof_cas(:)
-        real, allocatable::  vt_prof_cas(:)
-        real, allocatable::  vq_prof_cas(:)
-        real, allocatable::  dt_prof_cas(:)
-        real, allocatable::  dtrad_prof_cas(:)
-        real, allocatable::  dq_prof_cas(:)
-        real, allocatable::  hu_prof_cas(:)
-        real, allocatable::  hv_prof_cas(:)
-        real, allocatable::  vu_prof_cas(:)
-        real, allocatable::  vv_prof_cas(:)
-        real, allocatable::  du_prof_cas(:)
-        real, allocatable::  dv_prof_cas(:)
-        real, allocatable::  uw_prof_cas(:)
-        real, allocatable::  vw_prof_cas(:)
-        real, allocatable::  q1_prof_cas(:)
-        real, allocatable::  q2_prof_cas(:)
-
-
-        real lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
+        REAL, ALLOCATABLE::  plev_prof_cas(:)
+        REAL, ALLOCATABLE::  t_prof_cas(:)
+        REAL, ALLOCATABLE::  q_prof_cas(:)
+        REAL, ALLOCATABLE::  u_prof_cas(:)
+        REAL, ALLOCATABLE::  v_prof_cas(:)
+
+        REAL, ALLOCATABLE::  vitw_prof_cas(:)
+        REAL, ALLOCATABLE::  ug_prof_cas(:)
+        REAL, ALLOCATABLE::  vg_prof_cas(:)
+        REAL, ALLOCATABLE::  ht_prof_cas(:)
+        REAL, ALLOCATABLE::  hq_prof_cas(:)
+        REAL, ALLOCATABLE::  vt_prof_cas(:)
+        REAL, ALLOCATABLE::  vq_prof_cas(:)
+        REAL, ALLOCATABLE::  dt_prof_cas(:)
+        REAL, ALLOCATABLE::  dtrad_prof_cas(:)
+        REAL, ALLOCATABLE::  dq_prof_cas(:)
+        REAL, ALLOCATABLE::  hu_prof_cas(:)
+        REAL, ALLOCATABLE::  hv_prof_cas(:)
+        REAL, ALLOCATABLE::  vu_prof_cas(:)
+        REAL, ALLOCATABLE::  vv_prof_cas(:)
+        REAL, ALLOCATABLE::  du_prof_cas(:)
+        REAL, ALLOCATABLE::  dv_prof_cas(:)
+        REAL, ALLOCATABLE::  uw_prof_cas(:)
+        REAL, ALLOCATABLE::  vw_prof_cas(:)
+        REAL, ALLOCATABLE::  q1_prof_cas(:)
+        REAL, ALLOCATABLE::  q2_prof_cas(:)
+
+
+        REAL lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
 
 
@@ -95,5 +95,5 @@
       ierr = nf90_open(fich_cas,nf90_nowrite,nid)
       PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-      if (ierr/=nf90_noerr) THEN
+      IF (ierr/=nf90_noerr) THEN
          WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
          WRITE(*,*) nf90_strerror(ierr)
@@ -261,30 +261,30 @@
 !program reading forcing of the case study
 
-      integer ntime,nlevel
-
-      real zz(nlevel,ntime)
-      real pp(nlevel,ntime)
-      real temp(nlevel,ntime),qv(nlevel,ntime),rh(nlevel,ntime)
-      real theta(nlevel,ntime),rv(nlevel,ntime)
-      real u(nlevel,ntime)
-      real v(nlevel,ntime)
-      real ug(nlevel,ntime)
-      real vg(nlevel,ntime)
-      real w(nlevel,ntime)
-      real du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
-      real dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
-      real dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
-      real dtrad(nlevel,ntime)
-      real dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
-      real dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime)
-      real dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
-      real flat(ntime),sens(ntime),ts(ntime),ustar(ntime)
-      real uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime)
-
-
-      integer nid, ierr,rid
-      integer nbvar3d
+      INTEGER ntime,nlevel
+
+      REAL zz(nlevel,ntime)
+      REAL pp(nlevel,ntime)
+      REAL temp(nlevel,ntime),qv(nlevel,ntime),rh(nlevel,ntime)
+      REAL theta(nlevel,ntime),rv(nlevel,ntime)
+      REAL u(nlevel,ntime)
+      REAL v(nlevel,ntime)
+      REAL ug(nlevel,ntime)
+      REAL vg(nlevel,ntime)
+      REAL w(nlevel,ntime)
+      REAL du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
+      REAL dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
+      REAL dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
+      REAL dtrad(nlevel,ntime)
+      REAL dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
+      REAL dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime)
+      REAL dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
+      REAL flat(ntime),sens(ntime),ts(ntime),ustar(ntime)
+      REAL uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime)
+
+
+      INTEGER nid, ierr,rid
+      INTEGER nbvar3d
       parameter(nbvar3d=39)
-      integer var3didin(nbvar3d)
+      INTEGER var3didin(nbvar3d)
 
        ierr=nf90_inq_varid(nid,"zz",var3didin(1))
@@ -834,39 +834,39 @@
 
 ! inputs:
-        integer annee_ref
-        integer nt_cas,nlev_cas
-        real day, day1,day_cas
-        real ts_cas(nt_cas)
-        real plev_cas(nlev_cas,nt_cas)
-        real t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas)
-        real u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
-        real ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
-        real vitw_cas(nlev_cas,nt_cas)
-        real du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
-        real dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
-        real dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
-        real dtrad_cas(nlev_cas,nt_cas)
-        real dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
-        real lat_cas(nt_cas)
-        real sens_cas(nt_cas)
-        real ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
-        real q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
+        INTEGER annee_ref
+        INTEGER nt_cas,nlev_cas
+        REAL day, day1,day_cas
+        REAL ts_cas(nt_cas)
+        REAL plev_cas(nlev_cas,nt_cas)
+        REAL t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas)
+        REAL u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
+        REAL ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
+        REAL vitw_cas(nlev_cas,nt_cas)
+        REAL du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
+        REAL dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
+        REAL dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
+        REAL dtrad_cas(nlev_cas,nt_cas)
+        REAL dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
+        REAL lat_cas(nt_cas)
+        REAL sens_cas(nt_cas)
+        REAL ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
+        REAL q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
 
 ! outputs:
-        real plev_prof_cas(nlev_cas)
-        real t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
-        real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-        real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
-        real vitw_prof_cas(nlev_cas)
-        real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-        real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-        real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
-        real dtrad_prof_cas(nlev_cas)
-        real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
-        real lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
-        real uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
+        REAL plev_prof_cas(nlev_cas)
+        REAL t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
+        REAL u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
+        REAL ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
+        REAL vitw_prof_cas(nlev_cas)
+        REAL du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
+        REAL dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
+        REAL dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
+        REAL dtrad_prof_cas(nlev_cas)
+        REAL dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
+        REAL lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
+        REAL uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
 ! local:
-        integer it_cas1, it_cas2,k
-        real timeit,time_cas1,time_cas2,frac
+        INTEGER it_cas1, it_cas2,k
+        REAL timeit,time_cas1,time_cas2,frac
 
 
@@ -877,17 +877,17 @@
 ! sont censes etre corrects.
 ! A supprimer a terme (MPL 20150623)
-!     if ((forcing_type.eq.10).and.(1.eq.0)) THEN
+!     if ((forcing_type.EQ.10).AND.(1.EQ.0)) THEN
 ! Check that initial day of the simulation consistent with AMMA case:
-!      if (annee_ref.ne.2006) THEN
+!      if (annee_ref.NE.2006) THEN
 !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
 !       PRINT*,'Changer annee_ref dans run.def'
 !       stop
 !      endif
-!      if (annee_ref.eq.2006 .and. day1.lt.day_cas) THEN
+!      if (annee_ref.EQ.2006 .AND. day1.lt.day_cas) THEN
 !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
 !       PRINT*,'Changer dayref dans run.def'
 !       stop
 !      endif
-!      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) THEN
+!      if (annee_ref.EQ.2006 .AND. day1.gt.day_cas+1) THEN
 !       PRINT*,'AMMA a fini le 11 juillet'
 !       PRINT*,'Changer dayref ou nday dans run.def'
@@ -898,5 +898,5 @@
 ! Determine timestep relative to the 1st day:
 !       timeit=(day-day1)*86400.
-!       if (annee_ref.eq.1992) THEN
+!       if (annee_ref.EQ.1992) THEN
 !        timeit=(day-day_cas)*86400.
 !       else
@@ -929,5 +929,5 @@
       print *,'time_cas2=',time_cas2
 
-       if (it_cas1 > nt_cas) THEN
+       IF (it_cas1 > nt_cas) THEN
         WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
